### Hierarchy

- DeepCopy<Offer>
  - Offer

## Index

### Constructors

- constructor

### Properties

- compare
- createdAt
- description
- id
- imageUrl
- offerPrices
- owner
- rules
- tags
- title
- updatedAt
- worth

### Methods

- copy
- deepCopyFromJson
- getPriceById
- toJson
- validPrices
- fromJson

## Constructors

### constructor

- new Offer(description?: string, title?: string, imageUrl?: string, worth?: string, tags?: Map<string, string>, compare?: Map<string, string>, rules?: Map<string, CompareAction>, offerPrices?: Array<OfferPrice>): Offer

- - Defined in repository/models/Offer.ts:53

  #### Parameters

  - ##### Default value description: string = ""

  - ##### Default value title: string = ""

  - ##### Default value imageUrl: string = ""

  - ##### Default value worth: string = "0"

  - ##### Default value tags: Map<string, string> = new Map()

  - ##### Default value compare: Map<string, string> = new Map()

  - ##### Default value rules: Map<string, CompareAction> = new Map()

  - ##### Default value offerPrices: Array<OfferPrice> = new Array<OfferPrice>()

  #### Returns Offer

## Properties

### compare

compare: Map<string, string>

- Defined in repository/models/Offer.ts:16

### createdAt

createdAt: Date = new Date()

- Defined in repository/models/Offer.ts:19

### description

description: string

- Defined in repository/models/Offer.ts:11

### id

id: number = 0

- Defined in repository/models/Offer.ts:9

### imageUrl

imageUrl: string

- Defined in repository/models/Offer.ts:13

### offerPrices

offerPrices: OfferPrice[] = new Array<OfferPrice>()

- Defined in repository/models/Offer.ts:18

### owner

owner: string = "0x0"

- Defined in repository/models/Offer.ts:10

### rules

rules: Map<string, CompareAction>

- Defined in repository/models/Offer.ts:17

### tags

tags: Map<string, string>

- Defined in repository/models/Offer.ts:15

### title

title: string

- Defined in repository/models/Offer.ts:12

### updatedAt

updatedAt: Date = new Date()

- Defined in repository/models/Offer.ts:20

### worth

worth: string

- Defined in repository/models/Offer.ts:14

## Methods

### copy

- copy(changeArgs?: JsonObject<Offer>): Offer

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:8

  #### Parameters

  - ##### Optional changeArgs: JsonObject<Offer>

  #### Returns Offer

### Protected deepCopyFromJson

- deepCopyFromJson(): Offer

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/Offer.ts:126

  #### Returns Offer

### getPriceById

- getPriceById(id: number): OfferPrice | undefined

- - Defined in repository/models/Offer.ts:118

  #### Parameters

  - ##### id: number

  #### Returns OfferPrice | undefined

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/Offer.ts:92

  #### Returns object

### validPrices

- validPrices(data: Map<string, string>): Array<OfferPrice>

- - Defined in repository/models/Offer.ts:110

  #### Parameters

  - ##### data: Map<string, string>

  #### Returns Array<OfferPrice>

### Static fromJson

- fromJson(json: object): Offer

- - Defined in repository/models/Offer.ts:22

  #### Parameters

  - ##### json: object

  #### Returns Offer

Generated using TypeDoc